package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * @author ZhangXianyu
 * @time 2024-03-04
 * @Description 流水监控vo
 **/
@Data
public class FlowMonitorVO implements Serializable {

    /**
     * SDK类型
     */
    @ApiModelProperty(value = "SDK类型")
    private String sourceSystem;
    /**
     * 投手名称
     */
    @ApiModelProperty(value = "投手名称")
    private String pitcherName;

    /**
     * 消耗开始时间
     */
    @ApiModelProperty(value = "消耗开始时间")
    private LocalDate costBeginDate;

    /**
     * 消耗结束时间
     */
    @ApiModelProperty(value = "消耗结束时间")
    private LocalDate costEndDate;

    /**
     * 订单时间
     */
    @ApiModelProperty(value = "订单时间")
    private LocalDate orderDate;

    /**
     * 10点充值金额
     */
    @ApiModelProperty(value = "10点充值金额")
    private String tenAmount;
    /**
     * 10点环比
     */
    @ApiModelProperty(value = "10点环比")
    private String tenRate;
    /**
     * 10点回收率
     */
    @ApiModelProperty(value = "10点回收率")
    private String tenRecovery;
    /**
     * 14点充值金额
     */
    @ApiModelProperty(value = "14点充值金额")
    private String fourteenAmount;
    /**
     * 14点环比
     */
    @ApiModelProperty(value = "14点环比")
    private String fourteenRate;
    /**
     * 14点回收率
     */
    @ApiModelProperty(value = "14点回收率")
    private String fourteenRecovery;
    /**
     * 17点充值金额
     */
    @ApiModelProperty(value = "17点充值金额")
    private String seventeenAmount;
    /**
     * 17点环比
     */
    @ApiModelProperty(value = "17点环比")
    private String seventeenRate;
    /**
     * 17点回收率
     */
    @ApiModelProperty(value = "17点回收率")
    private String seventeenRecovery;
    /**
     * 24点充值金额
     */
    @ApiModelProperty(value = "24点充值金额")
    private String twentyfourAmount;
    /**
     * 24点环比
     */
    @ApiModelProperty(value = "24点环比")
    private String twentyfourRate;
    /**
     * 24点回收率
     */
    @ApiModelProperty(value = "24点回收率")
    private String twentyfourRecovery;

    /**
     * 消耗
     */
    @ApiModelProperty(value = "消耗")
    private String costCount;


}
